<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>LoadAndSaveTest</title>
</head>
<body>
<table cellpadding="1" cellspacing="1" border="1">
<thead>
<tr><td rowspan="1" colspan="3">LoadAndSaveTest</td></tr>
</thead><tbody>
<!--Load the CMS-->
<tr>
	<td>open</td>
	<td>../../admin/</td>
	<td></td>
</tr>
<tr>
	<td>assertTitle</td>
	<td>SilverStripe CMS</td>
	<td></td>
</tr>
<tr>
	<td>click</td>
	<td>link=method of application</td>
	<td></td>
</tr>
<tr>
	<td>ajaxWait</td>
	<td></td>
	<td></td>
</tr>
<tr>
	<td>click</td>
	<td>link=Main</td>
	<td></td>
</tr>
<tr>
	<td>type</td>
	<td>Form_EditForm_MenuTitle</td>
	<td>method of application</td>
</tr>
<tr>
	<td>click</td>
	<td>Form_EditForm_action_save</td>
	<td></td>
</tr>
<tr>
	<td>ajaxWait</td>
	<td></td>
	<td></td>
</tr>
<tr>
	<td>click</td>
	<td>link=current vacancies</td>
	<td></td>
</tr>
<tr>
	<td>ajaxWait</td>
	<td></td>
	<td></td>
</tr>
<tr>
	<td>type</td>
	<td>Form_EditForm_MenuTitle</td>
	<td>current vacancies</td>
</tr>
<tr>
	<td>click</td>
	<td>Form_EditForm_action_save</td>
	<td></td>
</tr>
<tr>
	<td>ajaxWait</td>
	<td></td>
	<td></td>
</tr>
<tr>
	<td>click</td>
	<td>link=method of application</td>
	<td></td>
</tr>
<tr>
	<td>ajaxWait</td>
	<td></td>
	<td></td>
</tr>
<tr>
	<td>assertNotModalPresent</td>
	<td></td>
	<td></td>
</tr>
<tr>
	<td>verifyTextPresent</td>
	<td>Label shown in menus</td>
	<td></td>
</tr>
<tr>
	<td>click</td>
	<td>link=Meta-data</td>
	<td></td>
</tr>
<tr>
	<td>click</td>
	<td>link=Main</td>
	<td></td>
</tr>
<tr>
	<td>click</td>
	<td>link=Meta-data</td>
	<td></td>
</tr>
<!--Make a change and go to another page without saving-->
<tr>
	<td>verifyValue</td>
	<td>Form_EditForm_MenuTitle</td>
	<td>method of application</td>
</tr>
<tr>
	<td>type</td>
	<td>Form_EditForm_MenuTitle</td>
	<td>method of application - test change</td>
</tr>
<!--Verify that the "do you want to save" box opens-->
<tr>
	<td>answerOnNextModal</td>
	<td>cancel</td>
	<td></td>
</tr>
<tr>
	<td>click</td>
	<td>link=current vacancies</td>
	<td></td>
</tr>
<tr>
	<td>assertModalPresent</td>
	<td></td>
	<td></td>
</tr>
<!--Manually save - do we load a new page correctly?-->
<tr>
	<td>click</td>
	<td>Form_EditForm_action_save</td>
	<td></td>
</tr>
<tr>
	<td>ajaxWait</td>
	<td></td>
	<td></td>
</tr>
<tr>
	<td>click</td>
	<td>link=current vacancies</td>
	<td></td>
</tr>
<tr>
	<td>ajaxWait</td>
	<td></td>
	<td></td>
</tr>
<tr>
	<td>verifyValue</td>
	<td>Form_EditForm_Title</td>
	<td>current vacancies</td>
</tr>
<!--Go back to the first page and check that the change has been saved.-->
<tr>
	<td>click</td>
	<td>link=method of application</td>
	<td></td>
</tr>
<tr>
	<td>ajaxWait</td>
	<td></td>
	<td></td>
</tr>
<tr>
	<td>verifyValue</td>
	<td>Form_EditForm_MenuTitle</td>
	<td>method of application - test change</td>
</tr>
<tr>
	<td>type</td>
	<td>Form_EditForm_MenuTitle</td>
	<td>method of application</td>
</tr>
<tr>
	<td>click</td>
	<td>Form_EditForm_action_save</td>
	<td></td>
</tr>
</tbody></table>
</body>
</html>
